[SM-Grimoire-Bugs] [Bug 14680] New: libdbi-drivers always fail without firebird.

bugzilla-daemon at bugs.sourcemage.org bugzilla-daemon at bugs.sourcemage.org
Sun Aug 24 17:32:36 EDT 2008


http://bugs.sourcemage.org/show_bug.cgi?id=14680

           Summary: libdbi-drivers always fail without firebird.
           Product: Codex
           Version: stable grimoire
          Platform: All
        OS/Version: Linux
            Status: NEW
          Severity: normal
          Priority: P3
         Component: database
        AssignedTo: sm-grimoire-bugs at lists.ibiblio.org
        ReportedBy: fredrik.carlstrom at tele2.se


Firebird is an optional dependency for libdbi-drivers. But the line:

  'FB_VERSION="$(installed_version firebird)" &&'

in the PRE_BUILD script, will always fail if firebird hasn't been installed. 

Also, thought I'm not certain about the policy for runtime dependencies that
don't require any specific configuration, I think it would be a help if they
were listed as dependencies in the file DEPENDS. If this is the case,
libdbi-drivers should be listed in the DEPENDS file for libdbi.


-- 
Configure bugmail: http://bugs.sourcemage.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.



More information about the SM-Grimoire-Bugs mailing list